package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TbUserBidRecordMapper;
import com.ruoyi.business.domain.TbUserBidRecord;
import com.ruoyi.business.service.ITbUserBidRecordService;
import com.ruoyi.common.core.text.Convert;

/**
 * 项目搜索记录Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class TbUserBidRecordServiceImpl implements ITbUserBidRecordService 
{
    @Autowired
    private TbUserBidRecordMapper tbUserBidRecordMapper;

    /**
     * 查询项目搜索记录
     * 
     * @param recordBidId 项目搜索记录主键
     * @return 项目搜索记录
     */
    @Override
    public TbUserBidRecord selectTbUserBidRecordByRecordBidId(Long recordBidId)
    {
        return tbUserBidRecordMapper.selectTbUserBidRecordByRecordBidId(recordBidId);
    }

    /**
     * 查询项目搜索记录列表
     * 
     * @param tbUserBidRecord 项目搜索记录
     * @return 项目搜索记录
     */
    @Override
    public List<TbUserBidRecord> selectTbUserBidRecordList(TbUserBidRecord tbUserBidRecord)
    {
        return tbUserBidRecordMapper.selectTbUserBidRecordList(tbUserBidRecord);
    }

    /**
     * 新增项目搜索记录
     * 
     * @param tbUserBidRecord 项目搜索记录
     * @return 结果
     */
    @Override
    public int insertTbUserBidRecord(TbUserBidRecord tbUserBidRecord)
    {
        return tbUserBidRecordMapper.insertTbUserBidRecord(tbUserBidRecord);
    }

    /**
     * 修改项目搜索记录
     * 
     * @param tbUserBidRecord 项目搜索记录
     * @return 结果
     */
    @Override
    public int updateTbUserBidRecord(TbUserBidRecord tbUserBidRecord)
    {
        return tbUserBidRecordMapper.updateTbUserBidRecord(tbUserBidRecord);
    }

    /**
     * 批量删除项目搜索记录
     * 
     * @param recordBidIds 需要删除的项目搜索记录主键
     * @return 结果
     */
    @Override
    public int deleteTbUserBidRecordByRecordBidIds(String recordBidIds)
    {
        return tbUserBidRecordMapper.deleteTbUserBidRecordByRecordBidIds(Convert.toStrArray(recordBidIds));
    }

    /**
     * 删除项目搜索记录信息
     * 
     * @param recordBidId 项目搜索记录主键
     * @return 结果
     */
    @Override
    public int deleteTbUserBidRecordByRecordBidId(Long recordBidId)
    {
        return tbUserBidRecordMapper.deleteTbUserBidRecordByRecordBidId(recordBidId);
    }
}
